# Generated by Django 4.1.7 on 2023-03-23 16:07

from django.db import migrations, models
import django.db.models.deletion
import vote.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='AgeRange',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('age_range', models.CharField(max_length=100)),
            ],
            options={
                'ordering': ['age_range'],
            },
        ),
        migrations.CreateModel(
            name='Question',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('question_text', models.TextField()),
                ('pub_date', models.DateTimeField(verbose_name='date published')),
                ('question_id', models.CharField(default=vote.models.random_id, max_length=256)),
            ],
            options={
                'ordering': ['pub_date'],
            },
        ),
        migrations.CreateModel(
            name='Voter',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('first_name', models.CharField(max_length=100)),
                ('last_name', models.CharField(max_length=100)),
                ('age_range', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='vote.agerange')),
            ],
            options={
                'ordering': ['last_name'],
            },
        ),
        migrations.CreateModel(
            name='ZipCode',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('zip', models.CharField(max_length=5)),
                ('type', models.CharField(max_length=4)),
                ('decommissioned', models.BooleanField()),
                ('primary_city', models.CharField(max_length=28)),
                ('acceptable_cities', models.CharField(max_length=100)),
                ('unacceptable_cities', models.CharField(max_length=100)),
                ('state', models.CharField(max_length=2)),
                ('county', models.CharField(max_length=100)),
                ('timezone', models.CharField(max_length=100)),
                ('area_codes', models.CharField(max_length=100)),
                ('world_region', models.CharField(max_length=100)),
                ('country', models.CharField(max_length=100)),
                ('latitude', models.FloatField()),
                ('longitude', models.FloatField()),
                ('irs_estimated_population', models.IntegerField()),
            ],
            options={
                'ordering': ['zip'],
            },
        ),
        migrations.CreateModel(
            name='VoterQuestion',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('question', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='vote.question')),
                ('voter', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='vote.voter')),
            ],
            options={
                'ordering': ['voter'],
            },
        ),
        migrations.AddField(
            model_name='voter',
            name='zip_code',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='vote.zipcode'),
        ),
        migrations.CreateModel(
            name='Vote',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('vote', models.BooleanField()),
                ('vote_id', models.CharField(default=vote.models.random_id, max_length=256)),
                ('question', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='vote.question')),
            ],
            options={
                'ordering': ['question'],
            },
        ),
    ]
